/// <reference types="react" />
export declare const StyledMenu: import("../../styled").StyledComponent<import("../..").WithoutEmotionSpecific<import("@mui/material/Menu").MenuProps> & {
    title?: string | undefined;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const ExitMenuItem: import("../../styled").StyledComponent<import("../..").WithoutEmotionSpecific<Omit<import("@mui/material").MenuItemProps, "component">> & {
    disabledReason?: string | undefined;
    note?: string | undefined;
    tooltipPlacement?: "bottom" | "left" | "right" | "top" | "top-start" | "top-end" | "bottom-start" | "bottom-end" | "right-start" | "right-end" | "left-start" | "left-end" | undefined;
    component?: import("react").ElementType | undefined;
    href?: string | undefined;
} & import("react").ClassAttributes<HTMLLIElement> & import("react").LiHTMLAttributes<HTMLLIElement> & import("react").RefAttributes<HTMLLIElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    $exitButton: boolean;
}, {}, {}>;
export declare const DisplayNameMenuItem: import("../../styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledMenuList: import("../../styled").StyledComponent<import("../../MenuList").MenuListProps & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const StyledDivider: import("../../styled").StyledComponent<import("../../Divider").DividerProps & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
